Package org.springframework.core.io.buffer

# Interface DataBuffer.ByteBufferIterator

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `Iterator<ByteBuffer>`

Enclosing interface:
  DataBuffer

public static interface DataBuffer.ByteBufferIterator extends Iterator<ByteBuffer>, Closeable
A dedicated iterator type that ensures the lifecycle of iterated `ByteBuffer` elements. This iterator must be used in a try-with-resources clause or explicitly closed.

Since:
  6.0.5
See Also:
  - `DataBuffer.readableByteBuffers()`
  - `DataBuffer.writableByteBuffers()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`